Package org.jboss.resteasy.jose.jws

## Class JWSBuilder.EncodingBuilder

- java.lang.Object
- - org.jboss.resteasy.jose.jws.JWSBuilder.EncodingBuilder

- Enclosing class:
    JWSBuilder

      public class JWSBuilder.EncodingBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EncodingBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `hmac256​(byte[] sharedSecret)` |
    `String` | `hmac256​(SecretKey sharedSecret)` |
    `String` | `hmac384​(byte[] sharedSecret)` |
    `String` | `hmac384​(SecretKey sharedSecret)` |
    `String` | `hmac512​(byte[] sharedSecret)` |
    `String` | `hmac512​(SecretKey sharedSecret)` |
    `String` | `none()` |
    `String` | `rsa256​(PrivateKey privateKey)` |
    `String` | `rsa384​(PrivateKey privateKey)` |
    `String` | `rsa512​(PrivateKey privateKey)` |
    `String` | `sign​(SignatureSignerContext signer)` |
    `String` | `sign​(Algorithm algorithm, PrivateKey privateKey)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingBuilder

          public EncodingBuilder()

  - ### Method Detail

    - #### sign

          public String sign​(SignatureSignerContext signer)

    - #### none

          public String none()

    - #### sign

          public String sign​(Algorithm algorithm,
                             PrivateKey privateKey)

    - #### rsa256

          public String rsa256​(PrivateKey privateKey)

    - #### rsa384

          public String rsa384​(PrivateKey privateKey)

    - #### rsa512

          public String rsa512​(PrivateKey privateKey)

    - #### hmac256

          public String hmac256​(byte[] sharedSecret)

    - #### hmac384

          public String hmac384​(byte[] sharedSecret)

    - #### hmac512

          public String hmac512​(byte[] sharedSecret)

    - #### hmac256

          public String hmac256​(SecretKey sharedSecret)

    - #### hmac384

          public String hmac384​(SecretKey sharedSecret)

    - #### hmac512

          public String hmac512​(SecretKey sharedSecret)